package com.fjhx.stock.service;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.base.BaseService;
import com.fjhx.entity.stock.StockCheckrecord;

/**
 * <p>
 * 盘点记录 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-05
 */
public interface StockCheckrecordService extends BaseService<StockCheckrecord> {

    /**
     * 盘点开始
     *
     * @param instructions 指令
     * @param stockHouseId 盘点仓库id
     */
    void checkStart(String instructions, Long checkForwardSessionId, String stockHouseId);

    /**
     * 盘点回调
     */
    void checkCallBack(JSONObject data);

    /**
     * 盘点结束
     *
     * @param instructions 指令
     * @param stockHouseId 盘点仓库id
     */
    void checkEnd(String instructions, Long checkForwardSessionId, String stockHouseId);

    void testScanStart(String instructions, long flag, String stockHouseId);

    void testScanEnd(String instructions, long flag, String stockHouseId);

}
